.PHONY: all
all:
	mkdir -p build && cd build && cmake .. && make

PHONY: deps
deps:
	sudo apt-get install doxygen scdoc

.PHONY: gui-deps
gui-deps:
	sudo apt-get install libfreetype-dev libsdl2-dev libopengl-dev libglfw3-dev

.PHONY:
clean:
	rm -r build cmake-build-*
